## org.hibernate.util.xml
Interface Origin

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  OriginImpl

    public interface Origin

extends Serializable

Describes the origin of an xml document

Author:
  Steve Ebersole

Method Summary
`String` `getName()` The name of the document origin.
`String` `getType()` Retrieve the type of origin.

Method Detail

### getType

    String getType()

  Retrieve the type of origin. This is not a discrete set, but might be somethign like `file` for file protocol URLs, or `resource` for classpath resource lookups.

  Returns:
    The origin type.

### getName

    String getName()

  The name of the document origin. Interpretation is relative to the type, but might be the resource name or file URL.

  Returns:
    The name.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.